grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.21-85-g3e24e1d


From: Jim Meyering
Subject: grep branch, master, updated. v2.21-85-g3e24e1d
Date: Mon, 02 Nov 2015 01:13:16 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  3e24e1d86b4ccc53094208d599c8347716bda9c8 (commit)
      from  da9cf47e2769053576daf1e2998a39bc9885c27d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=3e24e1d86b4ccc53094208d599c8347716bda9c8


commit 3e24e1d86b4ccc53094208d599c8347716bda9c8
Author: Jim Meyering <address@hidden>
Date:   Sun Nov 1 15:38:23 2015 -0800

    tests: pcre-jitstack: upon failure, retry with no stack size limit
    
    * tests/pcre-jitstack: Don't let an example that provokes inordinate
    stack space use cause a test failure.  Thanks to reports from and
    analysis by Bruce Dubbs; see http://debbugs.gnu.org/21755

diff --git a/tests/pcre-jitstack b/tests/pcre-jitstack
index 03587f1..d9a5615 100755
--- a/tests/pcre-jitstack
+++ b/tests/pcre-jitstack
@@ -34,6 +34,19 @@ test $? -eq 0 || framework_failure_
 gzip -d pcrejit.txt || framework_failure_
 
 LC_ALL=C grep -P -n '^([/](?!/)|[^/])*~/.*' pcrejit.txt
-test $? -eq 1 || fail=1
+if test $? != 1; then
+    # The above often makes grep attempt to use an inordinate amount
+    # of stack space.  If grep fails with $? != 1, try gain, but this
+    # time with no soft limit:
+
+    # Use ulimit to remove that limit, if possible.
+    # If ulimit is not usable, just skip this test.
+    (ulimit -s unlimited; : ) || skip_ this shell lacks ulimit support
+
+    # Rerun that same test, but now with no limit on stack size:
+    (ulimit -s unlimited;
+     LC_ALL=C grep -P -n '^([/](?!/)|[^/])*~/.*' pcrejit.txt)
+    test $? = 1 || fail=1
+fi
 
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/pcre-jitstack |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]